## ide-source-snippets-manager ide-source-snippets-manager |

## Functions

void | ide_source_snippets_manager_load_async ()
gboolean | ide_source_snippets_manager_load_finish ()
IdeSourceSnippets * | ide_source_snippets_manager_get_for_language ()
IdeSourceSnippets * | ide_source_snippets_manager_get_for_language_id ()

## Types and Values

#define | IDE_TYPE_SOURCE_SNIPPETS_MANAGER
| IdeSourceSnippetsManager

## Description

## Functions

### ide_source_snippets_manager_load_async ()

    void
    ide_source_snippets_manager_load_async
                                   (IdeSourceSnippetsManager *self,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

### ide_source_snippets_manager_load_finish ()

    gboolean
    ide_source_snippets_manager_load_finish
                                   (IdeSourceSnippetsManager *self,
                                    GAsyncResult *result,
                                    GError **error);

### ide_source_snippets_manager_get_for_language ()

    IdeSourceSnippets *
    ide_source_snippets_manager_get_for_language
                                   (IdeSourceSnippetsManager *manager,
                                    GtkSourceLanguage *language);

Gets the snippets for a given source language.

#### Returns

An IdeSourceSnippets or `NULL`.

[transfer none][nullable]

### ide_source_snippets_manager_get_for_language_id ()

    IdeSourceSnippets *
    ide_source_snippets_manager_get_for_language_id
                                   (IdeSourceSnippetsManager *manager,
                                    const gchar *language_id);

Gets the snippets for a given source language.

#### Returns

An IdeSourceSnippets or `NULL`.

[transfer none][nullable]

## Types and Values

### IDE_TYPE_SOURCE_SNIPPETS_MANAGER

    #define IDE_TYPE_SOURCE_SNIPPETS_MANAGER (ide_source_snippets_manager_get_type())

### IdeSourceSnippetsManager

    typedef struct _IdeSourceSnippetsManager IdeSourceSnippetsManager;